document.addEventListener('DOMContentLoaded', function() {
  // Add subtle animation to header
  const header = document.querySelector('header');
  if (header) {
    header.style.opacity = '0';
    setTimeout(() => {
      header.style.transition = 'opacity 1s ease';
      header.style.opacity = '1';
    }, 100);
  }

  // Add click effect to posts
  const posts = document.querySelectorAll('.post');
  posts.forEach(post => {
    post.addEventListener('click', function() {
      this.style.transform = 'scale(0.98)';
      setTimeout(() => {
        this.style.transform = '';
      }, 200);
    });
  });

  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});